// 获取门店列表
// export const getStoreList = {
//   url: '/brand/storeList/passExamineShop',
//   method: 'GET',
//   dealReqData: ({ pageNum, pageSize }) => {
//     return { pageNum, pageSize }
//   }
// }

// 获取未审核门店列表
export const getUnreviewStoreList = {
  url: '/brand/storeExam/waitExamineShop',
  method: 'GET',
  dealReqData: ({ pageNum, pageSize }) => {
    return { pageNum, pageSize }
  }
}

// 获取门店详情
export const getStoreDetail = {
  url: '/brand/common/detailShop',
  method: 'GET',
  dealReqData: ({ shopNo }) => {
    return { shopNo }
  }
}

// 审核通过
export const storeReviewAccept = {
  url: '/brand/storeExam/passExamine',
  method: 'GET',
  dealReqData: ({ applyId }) => {
    return { applyId }
  }
}

// 审核未通过
export const storeReviewRefuse = {
  url: '/brand/storeExam/refuseExamine',
  method: 'GET',
  dealReqData: ({ applyId }) => {
    return { applyId }
  }
}

// 获取店铺列表
export const getStoreList = {
  url: '/shop/shopPermission/list',
  method: 'GET'
}

// 新增店铺
export const addShopPermission = {
  url: '/shop/shopPermission/save',
  method: 'POST',
  dealReqData: ({ contact, contactPhone, introduction, shopAddress, shopImage, shopName }) => {
    return { contact, contactPhone, introduction, shopAddress, shopImage, shopName }
  }
}

// 店铺详情
export const shopPermissionDetail = {
  url: '/shop/shopPermission',
  method: 'GET',
  dealUrl: (url, shopId) => {
    return `${url}/${shopId}`
  }
}

// 编辑店铺
export const editShopPermission = {
  url: '/shop/shopPermission/update',
  method: 'PUT',
  dealReqData: (form) => {
    return form
  }
}

// 店铺导航查询
export const getNavigationList = {
  url: '/navigation/navigationPermission/list',
  method: 'GET'
}

// 新增店铺导航

export const saveNavigation = {
  url: '/navigation/navigationPermission/save',
  method: 'POST',
  dealReqData: (form) => {
    return form
  }
}

// 获取详情
export const navigationDetail = {
  url: '/navigation/navigationPermission',
  method: 'GET',
  dealUrl: (url, navigationId) => {
    return `${url}/${navigationId}`
  }
}

// 删除店铺导航
export const deleteNavigation = {
  url: '/navigation/navigationPermission/delete',
  method: 'DELETE',
  dealUrl: (url, navigationId) => {
    return `${url}/${navigationId}`
  }
}

// 编辑店铺导航
export const editNavigation = {
  url: '/navigation/navigationPermission/update',
  method: 'PUT',
  dealReqData: (form) => {
    return form
  }
}
