export const AssetsRecordStatus = {
  CONFIRMING: 1,
  SUCCESS: 2,
  FAIL: 3
}

export const AssetsRecordStatusObject = {
  [AssetsRecordStatus.CONFIRMING]: {
    label: '确认中',
    color: 'default'
  },
  [AssetsRecordStatus.SUCCESS]: {
    label: '成功',
    color: 'success'
  },
  [AssetsRecordStatus.FAIL]: {
    label: '失败',
    color: 'error'
  }
}

export const AssetsRecordType = {
  WITHDRAW: 1,
  INVITE: 2,
  BUY: 3
}

export const AssetsRecordTypeObj = {
  [AssetsRecordType.WITHDRAW]: {
    label: '提现',
    prefix: '-'
  },
  [AssetsRecordType.INVITE]: {
    label: '邀请奖励',
    prefix: '+'
  },
  [AssetsRecordType.BUY]: {
    label: '购买返点',
    prefix: '+'
  }
}

export const ProfitBuyType = {
  WITHDRAW_AT_ONCE: 1,
  WITHDRAW_LATER: 2,
  STORE_BUY: 3
}

export const ProfitBuyTypeName = {
  [ProfitBuyType.WITHDRAW_AT_ONCE]: '立即提货',
  [ProfitBuyType.WITHDRAW_LATER]: '单独提货',
  [ProfitBuyType.STORE_BUY]: '门店购买'
}

export const ProfitType = {
  BRAND: 1,
  ADVERT: 2,
  PLATFORM: 3,
  STORE: 4,
  ADVERT_DISPLAY: 5,
  RECOMMENDER: 6,
  PROMOTION: 7
}

export const ProfitTypeName = {
  [ProfitType.BRAND]: '成本',
  [ProfitType.ADVERT]: '宣传广告',
  [ProfitType.PLATFORM]: '平台收益',
  [ProfitType.STORE]: '提货费用',
  [ProfitType.ADVERT_DISPLAY]: '广告陈列费用',
  [ProfitType.RECOMMENDER]: '销售费用',
  [ProfitType.PROMOTION]: '促销费用'
}

export const ProfitToType = {
  PLATFORM: 1,
  BRAND: 2,
  STORE: 3,
  USER: 4
}

export const ProfitToTypeName = {
  [ProfitToType.PLATFORM]: '平台',
  [ProfitToType.BRAND]: '品牌商',
  [ProfitToType.STORE]: '门店',
  [ProfitToType.USER]: '用户'
}

export const ProfitStatus = {
  WAIT: 0,
  TRANING: 1,
  SUCCESS: 2,
  FAIL: 3
}

export const ProfitStatusObject = {
  [ProfitStatus.WAIT]: {
    label: '待分润',
    color: 'default'
  },
  [ProfitStatus.TRANING]: {
    label: '转帐中',
    color: 'default'
  },
  [ProfitStatus.SUCCESS]: {
    label: '成功',
    color: 'success'
  },
  [ProfitStatus.FAIL]: {
    label: '失败',
    color: 'error'
  }
}
