export const RangeType = {
  'ALL': 1,
  'CATEGORY': 2,
  'GOODS': 3
}
export const RangeTypeObj = {
  [RangeType.ALL]: '全部',
  [RangeType.CATEGORY]: '指定类目',
  [RangeType.GOODS]: '指定商品'
}

export const CouponScope = {
  'ALL': 1,
  'APP': 2,
  'PC': 3,
  'MP_WX': 4
}
export const CouponScopeObj = {
  [CouponScope.ALL]: '全部',
  [CouponScope.APP]: 'APP',
  [CouponScope.PC]: 'PC',
  [CouponScope.MP_WX]: '微信小程序'
}

export const CouponStatus = {
  'DISABLE': 0,
  'AVAILABLE': 1,
  'NOT_START': 2,
  'EXPIRED': 3
}

export const CouponStatusObj = {
  [CouponStatus.DISABLE]: {
    color: 'warning',
    label: '不可用'
  },
  [CouponStatus.AVAILABLE]: {
    color: 'success',
    label: '可用'
  },
  [CouponStatus.NOT_START]: {
    color: 'default',
    label: '未开始'
  },
  [CouponStatus.EXPIRED]: {
    color: 'error',
    label: '已过期'
  }
}
export const CouponType = {
  'FULL_REDUCTION': 1,
  'DIRECT_REDUCTION': 2,
  'FULL_DISCOUNT': 3,
  'DISCOUNT': 4
}

export const CouponTypeObj = {
  [CouponType.FULL_REDUCTION]: '满减',
  [CouponType.DIRECT_REDUCTION]: '直减',
  [CouponType.FULL_DISCOUNT]: '满折',
  [CouponType.DISCOUNT]: '折扣'
}
