export const FinancialState = {
  INTEGRAL_ISSUE: 1,
  ALIPAY_ROLLS_OUT: 2,
  WX_TRANSFERRED: 3,
  WX_ROLLS_OUT: 4,
  DIGITAL_TRAN_IN: 5,
  DIGITAL_TRAN_OUT: 6,
  INTEGRAL_RECHARGE: 7,
  WITHDRAWAL: 8,
  INTEGRAL_DEDUCTION: 9,
  REFUND: 10,
  COMMODITY_PURCHASE: 11,
  PLATFORM_DEDUCTION_POINTS: 17,
  TAKE_GOODS: 18,
  COMMENT_REWARD: 19,
  TRANSFER_IN: 20,
  TRANSFER_OUT: 21,
  REGISTRATION_AWARD: 22,
  OUT_TOKEN_IN: 23,
  OUT_NFT_IN: 24,
  TURN_OUTWARD: 25,
  RETURN_GOODS: 26,
  INVITE_REGISTER_REWARD: 27,
  RELEASE_TRANSFER: 28,
  COMMODITY_CURRENCY_REFUND: 29,
  POINTS_DEDUCTION_REFUND: 30,
  SLG_COMMODITY_CURRENCY_ISSUE: 31,
  SLG_COMMODITY_CURRENCY_ADDISSUE: 32,
  SLG_COMMODITY_CURRENCY_REDUCEISSUE: 33,
  SLG_ASSETS_RECOVERY: 34,
  SLC_NFT_IN: 35,
  ANTI_COINTERFEITING: 36,
  NFT_IN_SHOP: 37,
  NFT_IN_USER: 38,
  BARTER_IN: 39,
  BARTER_OUT: 40,
  FREE_COLLECTION: 41
}
export const FinancialStateObj = {
  [FinancialState.INTEGRAL_ISSUE]: {
    label: '平台积分-发行',
    color: 'default'
  },
  [FinancialState.ALIPAY_ROLLS_OUT]: {
    label: '支付宝转账-转出',
    color: 'default'
  },
  [FinancialState.WX_TRANSFERRED]: {
    label: '微信转账-转入',
    color: 'default'
  },
  [FinancialState.WX_ROLLS_OUT]: {
    label: '微信转账-转出',
    color: 'default'
  },
  [FinancialState.DIGITAL_TRAN_IN]: {
    label: '数字资产转帐-转入',
    color: 'default'
  },
  [FinancialState.DIGITAL_TRAN_OUT]: {
    label: '数字资产转账-转出',
    color: 'default'
  },
  [FinancialState.INTEGRAL_RECHARGE]: {
    label: '积分充值',
    color: 'default'
  },
  [FinancialState.WITHDRAWAL]: {
    label: '提现',
    color: 'default'
  },
  [FinancialState.INTEGRAL_DEDUCTION]: {
    label: '积分抵扣',
    color: 'default'
  },
  [FinancialState.REFUND]: {
    label: '退款',
    color: 'default'
  },
  [FinancialState.COMMODITY_PURCHASE]: {
    label: '商品币购买',
    color: 'default'
  },
  [FinancialState.PLATFORM_DEDUCTION_POINTS]: {
    label: '平台扣除积分',
    color: 'default'
  },
  [FinancialState.TAKE_GOODS]: {
    label: '提货',
    color: 'default'
  },
  [FinancialState.COMMENT_REWARD]: {
    label: '评论奖励',
    color: 'default'
  },
  [FinancialState.TRANSFER_IN]: {
    label: '转赠-转入',
    color: 'default'
  },
  [FinancialState.TRANSFER_OUT]: {
    label: '转赠-转出',
    color: 'default'
  },
  [FinancialState.REGISTRATION_AWARD]: {
    label: '注册奖励',
    color: 'default'
  },
  [FinancialState.OUT_TOKEN_IN]: {
    label: '外部token转入',
    color: 'default'
  },
  [FinancialState.OUT_NFT_IN]: {
    label: '外部nft转入',
    color: 'default'
  },
  [FinancialState.TURN_OUTWARD]: {
    label: '向外划转',
    color: 'default'
  },
  [FinancialState.RETURN_GOODS]: {
    label: '退货',
    color: 'default'
  },
  [FinancialState.INVITE_REGISTER_REWARD]: {
    label: '邀请注册奖励',
    color: 'default'
  },
  [FinancialState.RELEASE_TRANSFER]: {
    label: '发布转让',
    color: 'default'
  },
  [FinancialState.COMMODITY_CURRENCY_REFUND]: {
    label: '商品币退还',
    color: 'default'
  },
  [FinancialState.POINTS_DEDUCTION_REFUND]: {
    label: '积分抵扣退还',
    color: 'default'
  },
  [FinancialState.SLG_COMMODITY_CURRENCY_ISSUE]: {
    label: 'slg商品币发行',
    color: 'default'
  },
  [FinancialState.SLG_COMMODITY_CURRENCY_ADDISSUE]: {
    label: 'slg商品币增发',
    color: 'default'
  },
  [FinancialState.SLG_COMMODITY_CURRENCY_REDUCEISSUE]: {
    label: 'slg商品币减发',
    color: 'default'
  },
  [FinancialState.SLG_ASSETS_RECOVERY]: {
    label: 'slg数字资产回收',
    color: 'default'
  },
  [FinancialState.SLC_NFT_IN]: {
    label: 'slc防伪NFT转入',
    color: 'default'
  },
  [FinancialState.ANTI_COINTERFEITING]: {
    label: '防伪NFT发行',
    color: 'default'
  },
  [FinancialState.NFT_IN_SHOP]: {
    label: 'NFT转入商户',
    color: 'default'
  },
  [FinancialState.NFT_IN_USER]: {
    label: 'NFT转入用户',
    color: 'default'
  },
  [FinancialState.BARTER_IN]: {
    label: '物物交换-转入',
    color: 'default'
  },
  [FinancialState.BARTER_OUT]: {
    label: '物物交换-转出',
    color: 'default'
  },
  [FinancialState.FREE_COLLECTION]: {
    label: '免费领取',
    color: 'default'
  }
}

export const IntegralStatus = {
  ISSUE: 1,
  FAIL: 2,
  TO_BE_REVIEWED: 3,
  CHECK_FAIL: 4,
  AVAIABLE: 5,
  DISABLE: 6
}
export const IntegralStateObj = {
  [IntegralStatus.ISSUE]: '发行中',
  [IntegralStatus.FAIL]: '发行失败',
  [IntegralStatus.TO_BE_REVIEWED]: '待审核',
  [IntegralStatus.CHECK_FAIL]: '审核失败',
  [IntegralStatus.AVAIABLE]: '可用',
  [IntegralStatus.DISABLE]: '禁用'
}
export const TransferStatus = {
  SUCCESS: 2,
  FAIL: 1
}
export const TransferStateObj = {
  [TransferStatus.SUCCESS]: {
    label: '成功',
    color: 'success'
  },
  [TransferStatus.FAIL]: {
    label: '失败',
    color: 'error'
  }
}
