export const MerchantType = {
  'PERSONAL': 1,
  'BUSINESS': 2
}

export const MerchantTypeObject = {
  [MerchantType.PERSONAL]: {
    name: '个人'
  },
  [MerchantType.BUSINESS]: {
    name: '企业'
  }
}

export const MerchantStatus = {
  'NORMAL': 0,
  'FORZEN': 1,
  'PERFECT': 2,
  'CHECK': 3,
  'CHECK_FAIL': 4,
  'TO_BE_PAID': 5,
  'PAY_FAIL': 6,
  'TO_BE_SET_PASSWORD': 7
}

export const MerchantStatusObject = {
  [MerchantStatus.NORMAL]: {
    name: '正常',
    color: 'primary'
  },
  [MerchantStatus.FORZEN]: {
    name: '冻结',
    color: 'warning'
  },
  [MerchantStatus.PERFECT]: {
    name: '待完善',
    color: 'warning'
  },
  [MerchantStatus.CHECK]: {
    name: '审核中',
    color: 'default'
  },
  [MerchantStatus.CHECK_FAIL]: {
    name: '审核失败',
    color: 'error'
  },
  [MerchantStatus.TO_BE_PAID]: {
    name: '待设置密码',
    color: 'default'
  },
  [MerchantStatus.TO_BE_SET_PASSWORD]: {
    name: '待设置密码',
    color: 'default'
  },
  [MerchantStatus.PAY_FAIL]: {
    name: '缴费失败',
    color: 'error'
  }
}

export const MerchantLevel = {
  'BASE': 1,
  'HIGH': 2,
  'DIAMONDS': 3
}

export const MerchantLevelObj = {
  [MerchantLevel.BASE]: {
    label: '基础商户'
  },
  [MerchantLevel.HIGH]: {
    label: '高级商户'
  },
  [MerchantLevel.DIAMONDS]: {
    label: '钻石商户'
  }
}
