export const PromotionStatus = {
  'CANCEL': 0,
  'PROCESSING': 1,
  'NOT_START': 2,
  'END': 3
}

export const PromotionStatusObject = {
  [PromotionStatus.CANCEL]: {
    color: 'warning',
    label: '已取消'
  },

  [PromotionStatus.PROCESSING]: {
    color: 'success',
    label: '进行中'
  },
  [PromotionStatus.NOT_START]: {
    color: 'default',
    label: '未开始'
  },
  [PromotionStatus.END]: {
    color: 'default',
    label: '已结束'
  }
}

export const PromotionType = {
  'STRAIGHT_DOWN': 1,
  'DISCOUNT': 2,
  'FULL_REDUCTION': 3,
  'PER_REDUCTION': 4,
  'FULL_DISCOUNT': 5
}

export const PromotionTypeName = {
  [PromotionType.STRAIGHT_DOWN]: '直降促销',
  [PromotionType.DISCOUNT]: '折扣促销',
  [PromotionType.FULL_REDUCTION]: '满减促销',
  [PromotionType.PER_REDUCTION]: '每减促销',
  [PromotionType.FULL_DISCOUNT]: '满折促销'
}

export const CouponType = {
  'FULL_REDUCTION': 1,
  'STRAIGHT_DOWN': 2
}

export const CouponTypeName = {
  [CouponType.FULL_REDUCTION]: '满减',
  [CouponType.STRAIGHT_DOWN]: '直降'
}

export const SalesRules = {
  'MEMBER_DISCOUNT': 1,
  'FULL_REDUCTION': 2,
  // 'PER_REDUCTION': 2,
  'FULL_DISCOUNT': 3,
  'STRAIGHT_DOWN': 4,
  'DISCOUNT': 5
}

export const SalesRulesObj = {
  [SalesRules.MEMBER_DISCOUNT]: '会员优惠',
  [SalesRules.FULL_REDUCTION]: '满减',
  [SalesRules.FULL_DISCOUNT]: '满折',
  [SalesRules.STRAIGHT_DOWN]: '直降',
  [SalesRules.DISCOUNT]: '折扣'
}

export const SalesScope = {
  'ALL': 1,
  'APP': 2,
  'PC': 3,
  'MP_WX': 4
}
export const SalesScopeObj = {
  [SalesScope.ALL]: '全部',
  [SalesScope.APP]: 'APP',
  [SalesScope.PC]: 'PC',
  [SalesScope.MP_WX]: '微信小程序'
}
export const IntegralStatus = {
  DELETE: 0,
  NOT_START: 1,
  ABLE: 2,
  DISABLE: 3,
  EXPIRED: 4
}
export const IntegralStatusObj = {
  [IntegralStatus.DELETE]: {
    color: 'error',
    label: '删除'
  },
  [IntegralStatus.NOT_START]: {
    color: 'default',
    label: '未开始'
  },
  [IntegralStatus.ABLE]: {
    color: 'success',
    label: '可用'
  },
  [IntegralStatus.DISABLE]: {
    color: 'warning',
    label: '不可用'
  },
  [IntegralStatus.EXPIRED]: {
    color: 'warning',
    label: '已过期'
  }
}
